def realdvig(xtt, k1, T, yti1, ytin1):
    # Модель реального двигателя
    yp = k1 * xtt
    yti1 = yp + yti1
    ytin1 = (yti1 + T * ytin1) / (T + 1)
    return yti1, ytin1


def tahogen(xtt, k2, yti2):
    # Модель тахогенератора
    yp = k2 * xtt
    yti2 = yp + yti2
    return yti2


def nechus(xtt, gran):
    # Зона нечувствительности
    if -gran < xtt < gran:
        return 0
    elif xtt >= gran:
        return xtt - gran
    else:
        return xtt + gran
